export declare type GestureEvent = MouseEvent | TouchEvent;
export declare function touchGestureListener(el: EventTarget, start: (start: {
    ev: GestureEvent;
    move: (listener: (ev: GestureEvent) => void) => void;
    end: (listener: (ev: GestureEvent) => void) => void;
    tap: (listener: (ev: GestureEvent) => void) => void;
    cancel: () => void;
}) => void): () => void;
export declare function getEventY(ev: GestureEvent): number;
export declare function getEventX(ev: GestureEvent): number;
